/// <reference types="react" />
import { DataGridProProps, getGridStringOperators, getGridNumericColumnOperators, getGridDateOperators, GridExportCsvOptions } from '@mui/x-data-grid-pro';
export interface XGridProps extends DataGridProProps {
    language?: 'DE' | 'EN';
    toolbar?: boolean;
    csvOptions?: GridExportCsvOptions;
}
export declare function XGrid(props: XGridProps): JSX.Element;
export { getGridStringOperators, getGridNumericColumnOperators, getGridDateOperators };
